#!/usr/bin/env python
""" 
 This script allows to print the date of each time frame in the file
 assuming that the time unit are well documented.
"""
import os,sys
#sys.path.append("/home/jouanno/Tools/MyPython/")
from netCDF4 import Dataset as netcdf
import datetime
import netcdftime as nctime
import numpy as np
#
n=len(sys.argv)
if n <  2:
   print "USAGE :", os.path.basename(sys.argv[0]), "FILE(*)"
   quit()

for cfile in sys.argv[1:n]:
   print " working for file :", cfile
   ncfile=netcdf(cfile,'r')
   time_counter=ncfile.variables['time']
   units=time_counter.getncattr('units')
   cal='standard'
#   cal='noleap'
   cal=time_counter.getncattr('calendar')

   time=ncfile.variables['time'][:]
   cdftime=nctime.utime(units,calendar=cal)
   
#   dat=cdftime.num2date(time)

   #np=len(dat)
   (np)=np.size(time)
   print(np)
   for i in range(0,np) :
       dat=cdftime.num2date(time[i])
       datstr = dat.strftime("%d-%b-%Y (%H:%M:%S.%f)")
#       print i+1 , cdftime.num2date(time[i]) 
       print i+1 , ' Il est :'+datstr


quit()
